Count Withdrawal Transactions
curl --request GET \
--url https://api.hel.io/v1/withdrawal-transactions/api-key/count \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hel.io/v1/withdrawal-transactions/api-key/count"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hel.io/v1/withdrawal-transactions/api-key/count', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
42{
"message": "Api key or token is invalid",
"code": 401
}Transactions
Count Withdrawal Transactions
Returns the number of withdrawal transactions matching the same filters as the list endpoint. Response is a raw number. Requires WITHDRAWS_READ.
GET
/
v1
/
withdrawal-transactions
/
api-key
/
count
Count Withdrawal Transactions
Note: When using the production environment at moonpay.hel.io, set your API endpoint to
api.hel.io/v1 and generate API keys there. For the development environment, use api.dev.hel.io/v1 and generate API keys from moonpay.dev.hel.io.The response body is a bare number (for example
42), not an object like { "count": 42 }.Authorizations
Authentication using JWT token
Query Parameters
Your API key, which can be generated from the Helio Dashboard settings page.
ISO 8601 start of createdAt range (inclusive).
ISO 8601 end of createdAt range (inclusive).
Filter by one or more withdrawal states.
Available options:
QUOTED, SUBMITTING, SUBMITTED, BRIDGING, COMPLETED, FAILED, FAILED_EXPIRED, EXPIRED, REFUNDED_BY_PROVIDER Filter by source chain symbol (e.g. SOL, ETH).
Filter by destination chain symbol.
Filter by withdrawal config ID.
Response
Count retrieved successfully.
Number of matching withdrawal transactions.
